import * as riot from 'riot'

import TinyLoading from '@tiny-components/loading/src/loading.riot'
import TinySidebarFormHeader from './forms/header.riot'
import TinySidebarFormFooter from './forms/footer.riot'
import TinyNotification from '@tiny-components/notification/src/notification.riot'
import TinyConfirm from '@tiny-components/confirm/src/confirm.riot'

import FieldError from '@tiny-components/validator/src/fieldError.riot'

import potatoAppsView from './views/apps.riot'
import potatoFieldTags from './components/fields/tags.riot'
import potatoCloseButton from './components/closeButton.riot'

// register & mount riot component
riot.register('field-error', FieldError)

riot.register('tiny-loading', TinyLoading)
riot.register('tiny-sidebar-form-header', TinySidebarFormHeader)
riot.register('tiny-sidebar-form-footer', TinySidebarFormFooter)
riot.register('tiny-notification', TinyNotification)
riot.register('tiny-confirm', TinyConfirm)

riot.register('potato-field-tags', potatoFieldTags)
riot.register('potato-apps-view', potatoAppsView)
riot.register('potato-close-button', potatoCloseButton)

riot.mount('potato-apps-view')
riot.mount('tiny-notification')
riot.mount('tiny-confirm')